/*-----------------------------------------------------------------------*
 |                 "FILE: sfo_shared_defs.h                              |
 |                                                                       |
 | Constants global to SCOTT, OTTER and FINDER sources.                  |
 |                                                                       |
 | The old file header.h was split into into globs.h, def.h and protos.h |
 | so that we could save on re-compilation time whenever small           |
 | modifications to the globs.h were made.                               |
 *-----------------------------------------------------------------------*/

// limits on character arrays SF shared
#define CLAUSE_STRING_ARRAY  10000    // large enough to hold many functor names 

// avaible positions for building maxisets SFO shared
// Needed by lots of FINDER files but only ../otter_dir/types.h
#define MAXISET_ARRAY       10

// this is redefined in a number of places SFO shared
// redefined here so that all types match up
#define boolean char
#define false   ((boolean)0)
#define true    ((boolean)1)

