        /****************************************************************
        *                                                               *
        *                          FINDER 3.0                           *
        *                                                               *
        *           (C) 1993 Australian National University             *
        *                                                               *
        *                      All rights reserved                      *
        *                                                               *
        * The information in this software is subject to change without *
        * notice and should not be construed as a commitment by the     *
        * Australian National University. The Australian National Uni-  *
        * versity makes no representations about the suitability of     *
        * this software for any purpose. It is supplied "as is" without *
        * express or implied warranty.  If the software is modified in  *
        * a manner creating derivative copyright rights, appropriate    *
        * legends may be placed on the derivative work in addition to   *
        * that set forth above.                                         *
        *                                                               *
        * Permission to use, copy, modify and distribute this software  *
        * and its documentation for any purpose and without fee is      *
        * hereby granted, provided that both the above copyright notice *
        * and this permission notice appear in all copies and sup-      *
        * porting documentation, and that the name of the Australian    *
        * National University not be used in advertising or publicity   *
        * pertaining to distribution of the software without specific,  *
        * written prior permission.                                     *
        *                                                               *
        ****************************************************************/

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <signal.h>
#include <unistd.h>

#include "vntr.h"
/* Header for "Transferred Refutations" search controller */

#include "def.h"
/* Symbolic constants and other definitions for FINDER */

#ifdef SCOTT
#include "shared_defs.h" // soft link
/* Global constants shared by SCOTT, FINDER, and OTTER sources*/
#else
#define MAXISET_ARRAY 1
#endif

#include "types.h"
/* Typedefs etc for FINDER */

#include "glob.h"
/* Global (external) variables used by FINDER sources */

#include "protos.h"
/* Protos of the FINDER functions */

