/*		Definitions of symbolic constants etc for FINDER */

#define NEWCL_MAX 1024  // pasrsed wff max ???
#define WF_MAX 100000   // Number of [sub]expressions
#define JL_MAX 10000    // Length of input line

#define CL_MAX 20000    // Number of clauses in a theory

#define ST_MAX 16       // Number of sorts		       
#define FN_MAX 256      // Number of function symbols	      
#define ARGMAX 16       // Number of argument places           
#define LEX_MAX 512     // Number of meaningful strings		
#define VARMAX 64       // Number of different variables	
#define LEXLENGTH 64    // Number of characters in a name	
#define VCMAX 8         // Number of variables easy to test	
#define PRE_MAX 6       // Weight of clauses it makes sense to pre-test 
#define MAXMATRIX (V_LENGTH*2)   // Biggest possible value table

/* Kal's contribution to readability */
#define TRUE 1
#define FALSE 0

#define MAX_FILE_NAME 1024

#define S_ITSY 1
#define S_BITSY 2
#define S_TINY 4
#define S_SMALL 8
#define S_MEDIUM 16
#define S_LARGE 32
#define S_VERYLARGE 64
#define S_HUGE 128
#define S_MAXIMAL (REF_MAX-1)
/* Stack sizes				*/

/* this ordering is insisted during initialization */
#define Bool sort 
#define Integer (sort+1)

/* The following are used for bit-coding print modes */
#define pbmodels 1
#define pfmodels 2
#define pmodels 3
#define pbjob 4
#define pfjob 8
#define pjob 12
#define pbstats 16
#define pfstats 32
#define pstats 48
#define pugly 5

/*=============================== END ===================================*/


