// principle header file for all SCOTT sources

#define IN_SCOTT

#include "otter_header.h"     // OTTERs global constants, variables,
                              // plus prototypes
			      
#include "defs.h"             // SCOTTs global constants
#include "finder_defs.h"      // FINDERs global contants
#include "shared_defs.h"      // constants shared by SCOTT, FINDER, and OTTER
#include "globs.h"            // global variables
			      
#include "protos.h"           // SCOTT protos
#include "called_by_otter.h"  // SCOTT protos referenced by OTTER
#include "called_by_finder.h" // SCOTT protos referenced by FINDER
			      
#include "clocks.h"           // SCOTT clocks
